import { CSSProperties } from 'vue'
interface Props {
  centerX: number
  centerY: number
  path: string
  label?:
    | string
    | {
        props?: any
        component: any
      }
  style?: CSSProperties
  labelStyle?: any
  labelShowBg?: boolean
  labelBgStyle?: any
  labelBgPadding?: [number, number]
  labelBgBorderRadius?: number
  markerStart?: string
  markerEnd?: string
}
declare const _default: import('vue').DefineComponent<
  __VLS_DefinePropsToOptions<Props>,
  () => void,
  unknown,
  {},
  {},
  import('vue').ComponentOptionsMixin,
  import('vue').ComponentOptionsMixin,
  Record<string, any>,
  string,
  import('vue').VNodeProps & import('vue').AllowedComponentProps & import('vue').ComponentCustomProps,
  Readonly<
    {
      centerX?: unknown
      centerY?: unknown
      path?: unknown
      label?: unknown
      style?: unknown
      labelStyle?: unknown
      labelShowBg?: unknown
      labelBgStyle?: unknown
      labelBgPadding?: unknown
      labelBgBorderRadius?: unknown
      markerStart?: unknown
      markerEnd?: unknown
    } & {
      centerX: number
      centerY: number
      path: string
    } & {
      label?:
        | string
        | {
            props?: any
            component: any
          }
        | undefined
      style?: CSSProperties | undefined
      labelStyle?: unknown
      labelShowBg?: boolean | undefined
      labelBgStyle?: unknown
      labelBgPadding?: [number, number] | undefined
      labelBgBorderRadius?: number | undefined
      markerStart?: string | undefined
      markerEnd?: string | undefined
    }
  >,
  {}
>
export default _default
declare type __VLS_NonUndefinedable<T> = T extends undefined ? never : T
declare type __VLS_DefinePropsToOptions<T> = {
  [K in keyof T]-?: {} extends Pick<T, K>
    ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>
      }
    : {
        type: import('vue').PropType<T[K]>
        required: true
      }
}
